package com.bocloud.cmp.model;

import java.util.List;

public class SanFabricZoneModel {
    private String name;
    /**
     * type is alias or zone
     */
    private String type;
    private List<SanFabricZoneMemberModel> members;

    // cisco
    private String vsanId;
    private String wwn;
    private String wwnType;
    private List<String> zonSetName;
    private List<SanFabricZoneMemberModel> addMembers;
    private List<SanFabricZoneMemberModel> delMembers;
    private List<SanFabricZoneModel> zoneForCreateAlias;
    private List<SanFabricZoneSetModel> zoneSetModels;

    private List<String> dellMembers;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public List<SanFabricZoneMemberModel> getMembers() {
        return members;
    }

    public void setMembers(List<SanFabricZoneMemberModel> members) {
        this.members = members;
    }

    public String getVsanId() {
        return vsanId;
    }

    public void setVsanId(String vsanId) {
        this.vsanId = vsanId;
    }

    public String getWwn() {
        return wwn;
    }

    public void setWwn(String wwn) {
        this.wwn = wwn;
    }

    public String getWwnType() {
        return wwnType;
    }

    public void setWwnType(String wwnType) {
        this.wwnType = wwnType;
    }


    public List<String> getZonSetName() {
        return zonSetName;
    }

    public void setZonSetName(List<String> zonSetName) {
        this.zonSetName = zonSetName;
    }

    public List<SanFabricZoneMemberModel> getAddMembers() {
        return addMembers;
    }

    public void setAddMembers(List<SanFabricZoneMemberModel> addMembers) {
        this.addMembers = addMembers;
    }

    public List<SanFabricZoneMemberModel> getDelMembers() {
        return delMembers;
    }

    public void setDelMembers(List<SanFabricZoneMemberModel> delMembers) {
        this.delMembers = delMembers;
    }

    public List<SanFabricZoneModel> getZoneForCreateAlias() {
        return zoneForCreateAlias;
    }

    public void setZoneForCreateAlias(List<SanFabricZoneModel> zoneForCreateAlias) {
        this.zoneForCreateAlias = zoneForCreateAlias;
    }

    public List<SanFabricZoneSetModel> getZoneSetModels() {
        return zoneSetModels;
    }

    public void setZoneSetModels(List<SanFabricZoneSetModel> zoneSetModels) {
        this.zoneSetModels = zoneSetModels;
    }

    public List<String> getDellMembers() {
        return dellMembers;
    }

    public void setDellMembers(List<String> dellMembers) {
        this.dellMembers = dellMembers;
    }
}
